
D4Science Infrastructure - Incident #12351

Email Parser stuck on AGINFRA Gateway

Aug 30, 2018 11:05 AM - Massimiliano Assante

Status: Closed Start date: Aug 30, 2018

Priority: Urgent Due date: Aug 30, 2018

Assignee: Massimiliano Assante % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: TextCrowd - the new prototyping

environment 

  

Infrastructure: Production   

Description

Due to a particular message received: 

2018-08-30 08:47:27,482 INFO  socialmail.PeriodicTask [pool-115-thread-1,check:198] %08:47:27,482 

INFO  [pool-115-thread-1][PeriodicTask:198] --------------- FOUND EMAIL ------------------

2018-08-30 08:47:27,490 INFO  socialmail.PeriodicTask [pool-115-thread-1,check:200] %08:47:27,490 

INFO  [pool-115-thread-1][PeriodicTask:200] Parsing email of "Zed**, ****" <*******@wur.nl> with s

ubject: RE: Pierre-Etienne Alary commented on the post in EMPHASIS

java.lang.StringIndexOutOfBoundsException: String index out of range: -25

    at java.lang.String.substring(String.java:1967)

    at org.gcube.portal.socialmail.PeriodicTask.extractSubaddress(PeriodicTask.java:490)

    at org.gcube.portal.socialmail.PeriodicTask.check(PeriodicTask.java:202)

    at org.gcube.portal.socialmail.PeriodicTask.run(PeriodicTask.java:98)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

    at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308)

    at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledTh

readPoolExecutor.java:180)

    at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoo

lExecutor.java:294)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:748)

2018-08-30 08:47:36,063 INFO  o.g.p.u.n.s.NewsServiceImpl [http-bio-9090-exec-73,getUserConfigurat

ion:1088][PORTAL] 519153260 [http-bio-9090-exec-73] INFO  org.gcube.portlets.user.newsfeed.server.

NewsService

Related issues:

Related to D4Science Infrastructure - Upgrade #12353: Deploy patch for Incide... Completed Aug 30, 2018 Aug 30, 2018

History

#1 - Aug 30, 2018 11:07 AM - Massimiliano Assante

- Status changed from New to In Progress

#2 - Aug 30, 2018 11:34 AM - Massimiliano Assante

- % Done changed from 0 to 50

The issue has beed identified, patch is in progress.

The issue was due to the fact that the email client of user Zedde constructed the email address unusually as 

"aginfra+3fea53fb-9fe7-4c18-a1a2-389ce0a77607$POST@d4science.org" <aginfra+3fea53fb-9fe7-4c18-a1a2-389ce0a7760

7$POST@d4science.org>

 instead of 

The Name <aginfra+3fea53fb-9fe7-4c18-a1a2-389ce0a77607$POST@d4science.org>

 only

#3 - Aug 30, 2018 11:40 AM - Massimiliano Assante
- Related to Upgrade #12353: Deploy patch for Incident #12351 (Email Parser stuck on AGINFRA Gateway) added

#4 - Aug 30, 2018 11:45 AM - Massimiliano Assante

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

The fix is working, patch deployment will be managed in a separate ticket

#5 - Aug 30, 2018 11:46 AM - Massimiliano Assante

- Status changed from Resolved to Closed
